Subject: bug#17156: [PATCH 2/5] Revert conversion to shell scripts

From: Paul Eggert <[email-masked]>
Date: Tue, 01 Apr 2014 09:07:33 -0700

On 04/01/2014 08:08 AM, Paolo Bonzini wrote:
> Unless I misunderstand, this is clearly not possible since "grep" does 
> have to deal with -E and -F. 

Yes, sorry I was not clear.  Of course 'grep' must implement -E and -F.  
But this does not require acollection of C code in which fgrep.c, 
egrep.c, and grep.c collide with another batch of C code in subtle 
ways.  Instead, all we should need (if we want egrep.c and fgrep.c to be 
in C) is to have egrep.c exec 'grep', and likewise for fgrep.c.

There may be other ways to do it, but the point is to keep it reaallly 
simple, and separated from grep.c, so that people who maintain grep 
don't have to worry about egrep and fgrep unless they're actually 
*working* on egrep and fgrep (which should be never....).  This is the 
separation of concerns that I referred to.